## w3-recs 2004.08-1

=== debian/changelog ===
w3-recs (2004.08-1) unstable; urgency=high

  * Revised titles for w3rec-xmlschema-* again :-/
    (closes: #263931)
  * Added missing image components.gif
    (closes: #192949)
  * Added missing recommendation:
  	XHTML 1.0
    (closes: #236079)
  * Added a README.debian file.
  * Added w3m as preferred www-browser

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 17 Aug 2004 12:11:09 +0200

w3-recs (2003.03-1) unstable; urgency=high

  * Policy updated.
  * Removed unuseful dh_installmanpages, dh_installmenu.
  * Changed title in w3rec-xmlschema-0
    (closes: #165012)
  * Removed DOM2 HTML. 
    It has been re-issued in 2003, so moved it in w3-recs-2003.
    (closes: #185380)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 11 Mar 2003 12:02:13 +0100

w3-recs (2002.09-2) unstable; urgency=low

  * Changed Abstract string in w3rec-xmlschema-0.
    (closes: #165012)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 21 Oct 2002 12:38:57 +0200

w3-recs (2002.09-1) unstable; urgency=low

  * Initial release. See doc-html-w3 changelog for information.
  * Docs moved under a RECS subdir.

 -- Francesco P. Lovergine <frankie@debian.org>  Sat, 21 Sep 2002 17:06:26 +0200
