=== debian/rules ===
#!/usr/bin/make -f
#
# Invoke each target with `./debian/rules <target>'.  All targets should be
# invoked with the package root as the current directory.

# The name of the package
P = w3-recs

R = debian/tmp

RECS=$(R)/usr/share/doc/$(P)/RECS

DIRECTORIES = \
        $(R) \
        $(R)/DEBIAN \
        $(R)/usr \
        $(R)/usr/share/doc/$(P) \
        $(RECS) \
        $(R)/usr/share/doc-base \
        $(RECS)/css2 \
        $(RECS)/html4 \
        $(RECS)/dom1 \
        $(RECS)/dom2 \
        $(RECS)/atag1 \
	$(RECS)/REC-smil \
	$(RECS)/REC-ruby \
	$(RECS)/xhtml11-20010531 \
	$(RECS)/REC-xhtml-basic-20001219 \
	$(RECS)/xhtml-modularization-20010410 \
	$(RECS)/REC-MathML2-20010221 \
	$(RECS)/REC-SVG-20010904 \
	$(RECS)/REC-xsl-20011015 \
	$(RECS)/REC-rdf-syntax \
	$(RECS)/WAI-WEBCONTENT \
	$(RECS)/REC-WebCGM


$(DIRECTORIES):
	install -d -g root -o root -m 755 $@
	chmod g-s $@

# Builds the binary package.
build:
	dh_testdir
	touch build

# Clean $(DIRECTORIES)
clean-dir:
	dh_testdir
	dh_clean

# Undoes the effect of `make -f rules build'.
clean: clean-dir
	dh_testdir
	[ ! -f Makefile ] || make distclean cleanconfig
	rm -f debian/files* debian/substvars core debian/*~ *~ 
	rm -f build

# Makes a binary package.
binary-indep: $(DIRECTORIES) build
	dh_testroot
	dh_testdir

binary-arch: $(DIRECTORIES) build
	dh_testroot
	dh_testdir

	tar xvz -C $(RECS)/css2		-f css2.tgz
	tar xvz -C $(RECS)/html4 	-f html40.tgz
	tar xvz -C $(RECS)/dom1		-f DOM.tgz
	tar xvz -C $(RECS)/atag1	-f atag10.tgz

	unzip -d $(RECS)/dom2/core	DOM2-Core.zip
	unzip -d $(RECS)/dom2/events	DOM2-Events.zip
	#unzip -d $(RECS)/dom2/html	DOM2-HTML.zip
	unzip -d $(RECS)/dom2/style	DOM2-Style.zip
	unzip -d $(RECS)/dom2/traversal-range DOM2-Traversal-Range.zip
	unzip -d $(RECS)/dom2/views	DOM2-Views.zip

	# Wed Oct 10 11:50:38 CEST 2001

	unzip -d $(RECS)/REC-ruby	ruby.zip
	unzip -d $(RECS)/REC-smil	smil20.zip
	unzip -d $(RECS)/REC-SVG-20010904 REC-SVG-20010904.zip
	unzip -d $(RECS) 		xhtml11.zip
	unzip -d $(RECS) 		xhtml-modularization.zip
	unzip -d $(RECS) 		xhtml-basic.zip
	unzip -d $(RECS) 		REC-MathML2-20010221.zip

	# Mon Oct 22 10:48:12 CEST 2001

	unzip -d $(RECS)/REC-xsl-20011015 xs011015.zip
	unzip -d $(RECS) 		rdf.zip

	# Fri Nov 30 09:11:50 CET 2001

	unzip -d $(RECS)/WAI-WEBCONTENT wai-pageauth.zip 

	# Mon Jan 28 11:45:00 CET 2002

	unzip -d $(RECS)/REC-WebCGM REC-WebCGM-20011217.zip

	#Tue Aug 17 11:18:48 CEST 2004

	unzip -d $(RECS) 		xhtml1.zip


	cp -p *.html *.gif *.jpg *.png *.css $(RECS)
	cp debian/w3rec-* $(R)/usr/share/doc-base/.
	cp debian/dhelp $(R)/usr/share/doc/$(P)/.

	cd $(RECS) && find . -name "*.htm*" |\
		xargs $(shell pwd)/debian/fiximages

	dh_installdirs
	dh_installdocs
	dh_installexamples
	dh_installchangelogs
	gzip -9v $(R)/usr/share/doc/$(P)/changelog.Debian
	dh_movefiles
	dh_fixperms
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean
