## w3-recs 20110107

=== debian/changelog ===
w3-recs (20110107-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * debian/TODO.Debian: add pending TODO items

  [ Colin Darie ]
  * New maintainer. (Closes: #579786)
  * List of recommendations (REC) changes (Closes: #604968):
    - Associating Style Sheets with XML documents 1.0 (Second Edition)
      (updated 28/10/2010)
    - Device Description Repository Simple API (new 05/12/2008)
    - EMMA: Extensible MultiModal Annotation markup language
      (new 10/02/2009)
    - Element Traversal Specification (new 22/12/2008)
    - Extensible Markup Language (XML) 1.0 (Fifth Edition)
      (updated 26/11/2008)
    - Mobile Web Best Practices 1.0 (new 29/07/2008)
    - Namespaces in XML 1.0 (Third Edition) (updated 08/12/2009)
    - OWL 2 Web Ontology Language Conformance (new 27/10/2009)
    - OWL 2 Web Ontology Language Direct Semantics (new 27/10/2009)
    - OWL 2 Web Ontology Language Document Overview (new 27/10/2009)
    - OWL 2 Web Ontology Language Mapping to RDF Graphs (new 27/10/2009)
    - OWL 2 Web Ontology Language New Features and Rationale
      (new 27/10/2009)
    - OWL 2 Web Ontology Language Primer (new 27/10/2009)
    - OWL 2 Web Ontology Language Profiles (new 27/10/2009)
    - OWL 2 Web Ontology Language Quick Reference Guide (new 27/10/2009)
    - OWL 2 Web Ontology Language RDF-Based Semantics (new 27/10/2009)
    - OWL 2 Web Ontology Language Structural Specification and
      Functional-Style Syntax (new 27/10/2009)
    - OWL 2 Web Ontology Language XML Serialization (new 27/10/2009)
    - Pronunciation Lexicon Specification (PLS) Version 1.0
      (new 14/10/2008)
    - Protocol for Web Description Resources (POWDER): Description Resources
      (new 01/09/2009)
    - Protocol for Web Description Resources (POWDER): Formal Semantics
      (new 01/09/2009)
    - Protocol for Web Description Resources (POWDER): Grouping of Resources
      (new 01/09/2009)
    - RDFa in XHTML: Syntax and Processing (new 14/10/2008)
    - RIF Basic Logic Dialect (new 22/06/2010)
    - RIF Core Dialect (new 22/06/2010)
    - RIF Datatypes and Built-Ins 1.0 (new 22/06/2010)
    - RIF Framework for Logic Dialects (new 22/06/2010)
    - RIF Production Rule Dialect (new 22/06/2010)
    - RIF RDF and OWL Compatibility (new 22/06/2010)
    - SKOS Simple Knowledge Organization System Reference (new 18/08/2009)
    - Scalable Vector Graphics (SVG) Tiny 1.2 Specification
      (new 22/12/2008)
    - Service Modeling Language Interchange Format Version 1.1
      (new 12/05/2009)
    - Service Modeling Language, Version 1.1 (new 12/05/2009)
    - Speech Syn8hesis Markup Language (SSML) Version 1.1 (new 07/09/2010)
    - Synchronized Multimedia Integration Language (SMIL 3.0)
      (updated 01/12/2008)
    - W3C mobileOK Basic Tests 1.0 (new 08/12/2008)
    - Web Content Accessibility Guidelines (WCAG) 2.0 (new 11/12/2008)
    - Web Security Context: User Interface Guidelines (new 12/08/2010)
    - WebCGM 2.1 (new 01/03/2010)
    - XForms 1.1 (updated 20/10/2009)
    - XHTML-Print - Second Edition (new 23/11/2010)
    - XHTML™ 1.1 - Module-based XHTML (updated 07/10/2010)
    - XHTML™ Basic 1.1 - Second Edition (updated 07/10/2010)
    - XHTML™ Modularization 1.1 - Second Edition (new 29/07/2010)
    - XML Base (Second Edition) (updated 28/01/2009)
    - XML Entity Definitions for Characters (new 01/04/2010)
    - XML Linking Language (XLink) Version 1.1 (new 06/05/2010)
    - XML Path Language (XPath) 2.0 (Second Edition) (new 14/12/2010)
    - XML Syntax for XQuery 1.0 (XQueryX) (Second Edition) (new 14/12/2010)
    - XProc: An XML Pipeline Language (new 11/05/2010)
    - XQuery 1.0 and XPath 2.0 Data Model (XDM) (Second Edition)
      (updated 14/12/2010)
    - XQuery 1.0 and XPath 2.0 Formal Semantics (Second Edition)
      (updated 14/12/2010)
    - XQuery 1.0 and XPath 2.0 Functions and Operators (Second Edition)
      (updated 14/12/2010)
    - XQuery 1.0: An XML Query Language (Second Edition) (new 14/12/2010)
    - XSLT 2.0 and XQuery 1.0 Serialization (Second Edition)
      (updated 14/12/2010)
    - rdf:PlainLiteral: A Datatype for RDF Plain Literals (new 27/10/2009)
  * From now, this package include PR and CR: added a NEWS entry about it
  * List of PR and CR changes (some of them were previously included as REC):
    - A MathML for CSS Profile (new PR 10/08/2010)
    - CSS Color Module Level 3 (new PR 28/10/2010)
    - CSS Marquee Module Level 3 (new CR 05/12/2008)
    - CSS Mobile Profile 2.0 (new CR 10/12/2008)
    - CSS Multi-column Layout Module (new CR 17/12/2009)
    - CSS Namespaces Module (new CR 23/05/2008)
    - CSS Style Attributes (new CR 12/10/2010)
    - CSS TV Profile 1.0 (new CR 14/05/2003)
    - CSS3 Basic User Interface Module (new CR 11/05/2004)
    - CSS3 Ruby Module (new CR 14/05/2003)
    - Cascading Style Sheets Level 2 Revision 1 (CSS 2.1) Specification
      (updated CR 23/04/2009)
    - Character Model for the World Wide Web 1.0: Resource Identifiers
      (new CR 22/11/2004)
    - Digital Signatures for Widgets (new CR 24/06/2010)
    - Efficient XML Interchange (EXI) Format 1.0 (new CR 08/12/2009)
    - Geolocation API Specification (new CR 07/09/2010)
    - Mathematical Markup Language (MathML) Version 3.0 (new PR 10/08/2010)
    - Media Queries (new CR 27/07/2010)
    - Mobile Web Application Best Practices (new PR 21/10/2010)
    - Selectors API Level 1 (new CR 22/12/2009)
    - Selectors Level 3 (new PR 15/12/2009)
    - The 'view-mode' Media Feature (new CR 24/06/2010)
    - Timed Text Markup Language (TTML) 1.0 (new PR 14/09/2010)
    - Voice Browser Call Control: CCXML Version 1.0 (new CR 01/04/2010)
    - W3C XML Schema Definition Language (XSD): Component Designators
      (new CR 19/01/2010)
    - Web Services Choreography Description Language Version 1.0
      (new CR 09/11/2005)
    - Widget Access Request Policy (new CR 20/04/2010)
    - XForms 1.0 Basic Profile (new CR 14/10/2003)
    - XML Binding Language (XBL) 2.0 (new CR 16/03/2007)

